Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# IdUniquenessPolicyA.cpp File Reference

`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Enum_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Objref_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/AnyTypeCode/Any_Impl_T.h"`
`#include "tao/AnyTypeCode/Any_Basic_Impl_T.h"`
`#include "IdUniquenessPolicyA.h"`
`#include "tao/CDR.h"`

Include dependency graph for IdUniquenessPolicyA.cpp:

## Namespaces
namespace | PortableServer
## Functions
TAO::TypeCode::Enum< char const *, char const *const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_IdUniquenessPolicyValue ("IDL:omg.org/PortableServer/IdUniquenessPolicyValue:2.3","IdUniquenessPolicyValue", _tao_enumerators_PortableServer_IdUniquenessPolicyValue, 2)
TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_IdUniquenessPolicy (CORBA::tk_local_interface,"IDL:omg.org/PortableServer/IdUniquenessPolicy:2.3","IdUniquenessPolicy")
void | operator<<= (CORBA::Any &_tao_any, PortableServer::IdUniquenessPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::IdUniquenessPolicyValue &_tao_elem)
## Variables
TAO_BEGIN_VERSIONED_NAMESPACE_DECL char const *const | _tao_enumerators_PortableServer_IdUniquenessPolicyValue []
::CORBA::TypeCode_ptr const | _tc_IdUniquenessPolicyValue
::CORBA::TypeCode_ptr const | _tc_IdUniquenessPolicy

## Function Documentation

TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_IdUniquenessPolicy | ( | CORBA::tk_local_interface | ,
|  | "IDL:omg.org/PortableServer/IdUniquenessPolicy:2.3" | ,
|  | "IdUniquenessPolicy" |
| ) | `[static]`

TAO::TypeCode::Enum<char const *, char const * const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_IdUniquenessPolicyValue | ( | "IDL:omg.org/PortableServer/IdUniquenessPolicyValue:2.3" | ,
|  | "IdUniquenessPolicyValue" | ,
|  | _tao_enumerators_PortableServer_IdUniquenessPolicyValue | ,
|  | 2 |
| ) | `[static]`

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableServer::IdUniquenessPolicyValue | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableServer::IdUniquenessPolicyValue & | _tao_elem
| ) |

## Variable Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL char const* const _tao_enumerators_PortableServer_IdUniquenessPolicyValue[]`[static]`

| Initial value:
      {
        "UNIQUE_ID",
        "MULTIPLE_ID"

      }

TAO_PortableServer_Export::CORBA::TypeCode_ptr const PortableServer::_tc_IdUniquenessPolicy

| Initial value:
        &_tao_tc_PortableServer_IdUniquenessPolicy

TAO_PortableServer_Export::CORBA::TypeCode_ptr const PortableServer::_tc_IdUniquenessPolicyValue

| Initial value:
        &_tao_tc_PortableServer_IdUniquenessPolicyValue